#!/bin/sh

INTERFACE=$1; shift;
TUN_MTU=$1;   shift;
UDP_MTU=$1;   shift;
LOCAL_IP=$1;  shift;
REMOTE_IP=$1; shift;
MODUS=$1;     shift;

[ "$(nvram get ff_gwvpn_start)" = "1" ] || {
	logger -t "GW-VPN" "Gateway VPN is disabled - aborting!"
	exit 1
}

[ -f "/etc/openvpn/gw-vpn/client.key" -a -f "/etc/openvpn/gw-vpn/client.crt" ] || {
	logger -t "GW-VPN" "Missing certificates - aborting!"
	exit 1
}

ip route add default via ${LOCAL_IP} dev ${INTERFACE} table 161
ifconfig ${INTERFACE} mtu ${TUN_MTU} up

exit 0
